ViennaCL - The Vienna Computing Library: viennacl::linalg::detail::amg::amg_level_context Struct Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
viennacl::linalg::detail::amg::amg_level_context Struct Reference

`#include <amg_base.hpp>`

## Public Types
enum | { POINT_TYPE_UNDECIDED = 0, POINT_TYPE_COARSE, POINT_TYPE_FINE }

## Public Member Functions
void | resize (vcl_size_t num_points, vcl_size_t max_nnz)
void | switch_context (viennacl::context ctx)

## Public Attributes
enum viennacl::linalg::detail::amg::amg_level_context:: { ... } | amg_point_types
viennacl::vector< unsigned int > | influence_jumper_
viennacl::vector< unsigned int > | influence_ids_
viennacl::vector< unsigned int > | influence_values_
viennacl::vector< unsigned int > | point_types_
viennacl::vector< unsigned int > | coarse_id_
unsigned int | num_coarse_

## Detailed Description

Definition at line 167 of file amg_base.hpp.

## Member Enumeration Documentation

anonymous enum

Enumerator
POINT_TYPE_UNDECIDED |
POINT_TYPE_COARSE |
POINT_TYPE_FINE |

Definition at line 187 of file amg_base.hpp.

## Member Function Documentation

void viennacl::linalg::detail::amg::amg_level_context::resize | ( | vcl_size_t | num_points,
|  | vcl_size_t | max_nnz
| ) |  |
| inline

Definition at line 169 of file amg_base.hpp.

void viennacl::linalg::detail::amg::amg_level_context::switch_context | ( | viennacl::context | ctx | ) |
| inline

Definition at line 178 of file amg_base.hpp.

## Member Data Documentation

enum { ... } viennacl::linalg::detail::amg::amg_level_context::amg_point_types

viennacl::vector<unsigned int> viennacl::linalg::detail::amg::amg_level_context::coarse_id_

Definition at line 198 of file amg_base.hpp.

viennacl::vector<unsigned int> viennacl::linalg::detail::amg::amg_level_context::influence_ids_

Definition at line 195 of file amg_base.hpp.

viennacl::vector<unsigned int> viennacl::linalg::detail::amg::amg_level_context::influence_jumper_

Definition at line 194 of file amg_base.hpp.

viennacl::vector<unsigned int> viennacl::linalg::detail::amg::amg_level_context::influence_values_

Definition at line 196 of file amg_base.hpp.

unsigned int viennacl::linalg::detail::amg::amg_level_context::num_coarse_

Definition at line 199 of file amg_base.hpp.

viennacl::vector<unsigned int> viennacl::linalg::detail::amg::amg_level_context::point_types_

Definition at line 197 of file amg_base.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/detail/amg/amg_base.hpp